*******************************************************************************
**	This a function I wrote to pretty-up my programs.  The syntax is:		 **
**			ButtonWork( cString )  ==> returns .T. if Yes, .F. if No		 **
**				where cString is the question that is asked					 **
**					If ButtonWork( "Save this Record? " )					 **
**							< code >										 **
**					 else													 **
**							< code >										 **
**					End														 **
**																			 **
**   This is my very first function that I have put out in Public Domain	 **
**   I hope you like it.													 **
**																			 **
**																			 **
**   Mike Buckley															 **
**	 Orlando, Florida														 **
**																			 **
**   Clipper 5.01															 **
*******************************************************************************

Func ButtonWork
  Parameters cString
  Private YN, bColor, bScreen
  Set Scoreboard off
	bScreen := Savescreen()
	bColor := Setcolor()
	Setcolor( "N/BG" )

@ 9, 25 say 'ͻ'
@ 10,25 say '   Ŀ        Ŀ    '
@ 11,25 say '   ۳        ۳    '
@ 12,25 say '   ۳        ۳    '
@ 13,25 say '               '
@ 14,25 say '    [Y]es          [N]o      '
@ 15,25 say 'ͼ'
	Center( 16, cString )
		YN=" "
		@ row(), col() get YN Pict "Y" Valid PushOne()
			Read
Setcolor( bColor )
RestScreen( ,,,, bScreen )

	if YN = "Y"
			Return( .T. )
		Else
			Return( .F. )
	End
**************************
Func PushOne
Do Case
   Case YN = "Y"
	@ 9, 25 say 'ͻ'
	@ 10,25 say '   ͻ        Ŀ    '
	@ 11,25 say '           ۳    '
	@ 12,25 say '           ۳    '
	@ 13,25 say '   ͼ            '
	@ 14,25 say '    [Y]es          [N]o      '
	@ 15,25 say 'ͼ'
		Tone( 3000, 5 )
	@ 9, 25 say 'ͻ'
	@ 10,25 say '   Ŀ        Ŀ    '
	@ 11,25 say '   ۳        ۳    '
	@ 12,25 say '   ۳        ۳    '
	@ 13,25 say '               '
	@ 14,25 say '    [Y]es          [N]o      '
	@ 15,25 say 'ͼ'
		Tone( 1000, 3 )

  Case YN = "N"
	@ 9, 25 say 'ͻ'
	@ 10,25 say '   Ŀ        ͻ    '
	@ 11,25 say '   ۳            '
	@ 12,25 say '   ۳            '
	@ 13,25 say '           ͼ    '
	@ 14,25 say '    [Y]es          [N]o      '
	@ 15,25 say 'ͼ'
		Tone( 3000, 5 )
	@ 9, 25 say 'ͻ'
	@ 10,25 say '   Ŀ        Ŀ    '
	@ 11,25 say '   ۳        ۳    '
	@ 12,25 say '   ۳        ۳    '
	@ 13,25 say '               '
	@ 14,25 say '    [Y]es          [N]o      '
	@ 15,25 say 'ͼ'
		Tone( 1000, 3 )
  Otherwise
		Return( .f. )

 End
Return( .T. )

*************************

Func Center
	Parameters cNumber, cString
	Private Y
		Y = ( 40 - ( Len( cString ) / 2 ))
		@ cNumber, Y say cString 
Return( Nil )
